PETSc version 3.17.4
Fix/Edit manual page

# DMPolytopeInCellTest

Check whether a point lies inside the reference cell of given type

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMPolytopeInCellTest(DMPolytopeType ct, const PetscReal point[], PetscBool *inside)

Not collective

### Input Parameters

| ct | - The DMPolytopeType
| point | - Coordinates of the point

### Output Parameters

| inside | - Flag indicating whether the point is inside the reference cell of given type

### See Also

DMLocatePoints()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages